FreeMat

- Main Page
- Related Pages

vtkClearZPass

Section: Visualization Toolkit Rendering Classes

# Usage

Clear the depth buffer with a given value.

To create an instance of class vtkClearZPass, simply invoke its constructor as follows

      obj = vtkClearZPass

# Methods

The class vtkClearZPass has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkClearZPass class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkClearZPass = obj.NewInstance ()`
- `vtkClearZPass = obj.SafeDownCast (vtkObject o)`
- `obj.SetDepth (double )` - Set/Get the depth value. Initial value is 1.0 (farest).
- `double = obj.GetDepthMinValue ()` - Set/Get the depth value. Initial value is 1.0 (farest).
- `double = obj.GetDepthMaxValue ()` - Set/Get the depth value. Initial value is 1.0 (farest).
- `double = obj.GetDepth ()` - Set/Get the depth value. Initial value is 1.0 (farest).